#include "xphysgeominfo.h"

XPhysGeomInfo::XPhysGeomInfo()
    : XAsset()
    , mBrush(new XBrushWrapper())
    , mType(0)
    , mOrientation()
    , mOffset()
    , mHalfLengths()
{
    
}

XPhysGeomInfo::~XPhysGeomInfo()
{
    
}

void XPhysGeomInfo::ParseData(QDataStream *aStream)
{
    
}

void XPhysGeomInfo::Clear()
{
    mBrush = new XBrushWrapper();
    mType = 0;
    mOrientation = QVector<QVector3D>();
    mOffset = QVector3D();
    mHalfLengths = QVector3D();
}
